%define modname gnupg
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A50_%{modname}.ini

Summary:	A wrapper around the gpgme library for PHP
Name:		php-%{modname}
Version:	1.3.2
Release:	%mkrel 12
Group:		Development/PHP
License:	BSD
URL:		http://pecl.php.net/package/gnupg/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		gnupg-1.3.2-php-5.4.patch
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	gpgme-devel

%description
This extension provides methods to interact with gnupg.

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p1
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

export CFLAGS="$CFLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

# antibork
perl -pi -e "s|^GNUPG_SHARED_LIBADD = .*|GNUPG_SHARED_LIBADD = -lgpgme|g" Makefile

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests LICENSE README package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Fri Jan 24 2014 pterjan <pterjan> 1.3.2-12.mga4
+ Revision: 567651
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1.3.2-11.mga4
+ Revision: 527807
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1.3.2-10.mga4
+ Revision: 442636
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1.3.2-9.mga3
+ Revision: 393265
- rebuilt for php-5.4.11

* Sun Jan 13 2013 fwang <fwang> 1.3.2-8.mga3
+ Revision: 376123
- patch to build with php 5.4

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.3.2-7.mga2
+ Revision: 223898
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1.3.2-6.mga2
+ Revision: 185269
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 1.3.2-5.mga1
+ Revision: 47941
- removed buildroot definition from .spec
- imported package php-gnupg


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-5mdv2011.0
+ Revision: 629801
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-4mdv2011.0
+ Revision: 628106
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-3mdv2011.0
+ Revision: 600492
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-2mdv2011.0
+ Revision: 588818
- rebuild

* Thu Sep 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-1mdv2011.0
+ Revision: 578871
- 1.3.2

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-17mdv2010.1
+ Revision: 514549
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-16mdv2010.1
+ Revision: 485364
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-15mdv2010.1
+ Revision: 468170
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-14mdv2010.0
+ Revision: 451457
- fix build
- rebuild

  + Raphaël Gertz <rapsys@mandriva.org>
    - Rebuild

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-12mdv2010.0
+ Revision: 376994
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-11mdv2009.1
+ Revision: 346431
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-10mdv2009.1
+ Revision: 341745
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-9mdv2009.1
+ Revision: 321735
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-8mdv2009.1
+ Revision: 310270
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-7mdv2009.0
+ Revision: 238397
- rebuild

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-6mdv2008.1
+ Revision: 162157
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-5mdv2008.1
+ Revision: 107636
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-4mdv2008.0
+ Revision: 77545
- rebuilt against php-5.2.4

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-3mdv2008.0
+ Revision: 39497
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-2mdv2008.0
+ Revision: 33808
- rebuilt against new upstream version (5.2.3)

* Mon May 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-1mdv2008.0
+ Revision: 24028
- 1.3.1

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3-6mdv2008.0
+ Revision: 21330
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3-5mdv2007.0
+ Revision: 117585
- rebuilt against new upstream version (5.2.1)

* Fri Nov 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3-4mdv2007.0
+ Revision: 80600
- fix build
- rebuild
- fix deps
- 1.3
- Import php-gnupg

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2-2
- rebuilt for php-5.1.6

* Thu May 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2-1mdk
- initial Mandriva package

